Repository: incubator-mynewt-site
Updated Branches:
  refs/heads/asf-site 106051e2a -> c628be34d


added instructions to handle gcc6 warnings in get_started.md


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/repo
Commit: 
http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/commit/c628be34
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/tree/c628be34
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/diff/c628be34

Branch: refs/heads/asf-site
Commit: c628be34d81b25b76140ae537d85bb9fa1430fcf
Parents: 106051e
Author: aditihilbert <ad...@runtime.io>
Authored: Fri Sep 16 13:58:50 2016 -0700
Committer: aditihilbert <ad...@runtime.io>
Committed: Fri Sep 16 13:58:50 2016 -0700

----------------------------------------------------------------------
 develop/mkdocs/search_index.json               |  4 ++--
 develop/os/get_started/native_tools/index.html | 20 +++++++++++++++++---
 develop/sitemap.xml                            | 20 ++++++++++----------
 latest/mkdocs/search_index.json                |  4 ++--
 latest/os/get_started/native_tools/index.html  | 20 +++++++++++++++++---
 latest/sitemap.xml                             | 20 ++++++++++----------
 mkdocs/search_index.json                       |  4 ++--
 os/get_started/native_tools/index.html         | 20 +++++++++++++++++---
 sitemap.xml                                    | 20 ++++++++++----------
 v0_9_0/mkdocs/search_index.json                |  4 ++--
 v0_9_0/os/get_started/native_tools/index.html  | 20 +++++++++++++++++---
 v0_9_0/sitemap.xml                             | 20 ++++++++++----------
 12 files changed, 116 insertions(+), 60 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/develop/mkdocs/search_index.json
----------------------------------------------------------------------
diff --git a/develop/mkdocs/search_index.json b/develop/mkdocs/search_index.json
index b63a85a..1b735f4 100644
--- a/develop/mkdocs/search_index.json
+++ b/develop/mkdocs/search_index.json
@@ -182,7 +182,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/", 
-            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). If the 
gcc version is 6.1 rather the expected 5.x by the default .yml configuration 
file, you have to modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc v-5\n defined there.\n\n\nReplace the lines 
shown highlighted below:\n\n\n# OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nwith the 
following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 
 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you wish to use Clang, you 
can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nNote:\n Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.\n\n\n\n\nInstall gdb\n\n\n$ brew install 
gdb\n...\n...\n==\n Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, you may need 
to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for gdb signing. 
Alternately you can skip this step and\ncontinue witho
 ut the ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up 
toolchain for Linux\n\n\nThe below procedure can be used to set up a 
Debian-based Linux system (e.g.,\nUbuntu).  If you are running a different 
Linux distribution, you will need to\nsubstitute invocations of \napt-get\n in 
the below steps with the package manager\nthat your distro 
uses.\n\n\n\n\nInstall gcc/libc that will produce 32-bit executables:\n\n\n$ 
sudo apt-get install gcc-multilib libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ 
sudo apt-get install gdb\n\nReading package lists... Done\nBuilding dependency 
tree       \nReading state information... Done\nSuggested packages:\n  gdb-doc 
gdbserver\nThe following NEW packages will be installed:\n  
gdb\n...\nProcessing triggers for man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb 
(7.7.1-0ubuntu5~14.04.2) ...\n\n\n\n\n\n\n\nAt this point you have installed 
all the necessary software to build and test code on a simluator running on 
your Mac or Linux. Proceed to t
 he \nCreate Your First Project\n section.", 
+            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). The 
brew-installed version can be checked using \nbrew list gcc\n. The default 
compiler.yml configuration file in Mynewt expects version 5.x for Mac users, so 
if the installed version is 6.x and you wish to continue with this newer 
version, modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc-5\n defined there to \ngcc-6\n. In other 
words, replace the lines shown highlighted below:\n\n\n# OS 
X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: \ngobjc
 opy\n\n\n\n\n\n\nwith the following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you 
wish to use Clang, you can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\n\n\nNOTE:\n Both the newer gcc 6.x and Clang report a 
few warnings but they can be ignored.\n\n\n\n\nFURTHER NOTE:\n Mynewt 
developers mostly use gcc 5.x for sim builds; so it may take a little while to 
fix issues reported by the newer compiler. One option
  is to \ndisable warnings\n. To do that, remove the \n-Werror\n flag as an 
option for the compiler in the  
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file as shown below. \n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall 
-ggdb\n\n\n\n\n\nYou may alternatively choose to \nspecify the precise warnings 
to ignore\n depending on the error thrown by the compiler. For example, if you 
see a \n[-Werror=misleading-indentation]\n error while building the sim image, 
add \n-Wno-misleading-indentation]\n as a compiler flag in the same line from 
the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file.\n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation\n\n\n\n\n\nA third option is to simply \ndowngrade 
to gcc 5.x\n.\n\n\n\n\nInstall gdb\n\n\n$ brew install gdb\n...\n...\n==\n 
Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, y
 ou may need to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for 
gdb signing. Alternately you can skip this step and\ncontinue without the 
ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up toolchain 
for Linux\n\n\nThe below procedure can be used to set up a Debian-based Linux 
system (e.g.,\nUbuntu).  If you are running a different Linux distribution, you 
will need to\nsubstitute invocations of \napt-get\n in the below steps with the 
package manager\nthat your distro uses.\n\n\n\n\nInstall gcc/libc that will 
produce 32-bit executables:\n\n\n$ sudo apt-get install gcc-multilib 
libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ sudo apt-get install 
gdb\n\nReading package lists... Done\nBuilding dependency tree       \nReading 
state information... Done\nSuggested packages:\n  gdb-doc gdbserver\nThe 
following NEW packages will be installed:\n  gdb\n...\nProcessing triggers for 
man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb (7.7.1-0ubuntu5~14.04.2) 
...\n\n\n\n\n\n
 \n\nAt this point you have installed all the necessary software to build and 
test code on a simluator running on your Mac or Linux. Proceed to the \nCreate 
Your First Project\n section.", 
             "title": "toc"
         }, 
         {
@@ -202,7 +202,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/#install-gcclibc", 
-            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). If the gcc version is 
6.1 rather the expected 5.x by the default .yml configuration file, you have to 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc v-5  defined there.  Replace the lines shown highlighted below:  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:
   /usr/local/bin/gcc-6 \ncompiler.path.as.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d   In case you wish to use 
Clang, you can change your  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  to use Clang. Delete the 
gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   Note:  Both the newer gcc 
6.x and Clang report a few warnings but they can be ignored.", 
+            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). The brew-installed 
version can be checked using  brew list gcc . The default compiler.yml 
configuration file in Mynewt expects version 5.x for Mac users, so if the 
installed version is 6.x and you wish to continue with this newer version, 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc-5  defined there to  gcc-6 . In other words, replace the lines shown 
highlighted below:  # OS X. compiler.path.cc.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-5  compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 
-x assembler-with-cpp  compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump
  \ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 
\ncompiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 -x 
assembler-with-cpp\u201d   In case you wish to use Clang, you can change your  
mynewt-src-directory /repos/apache-mynewt-core/compiler/sim/compiler.yml  to 
use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy    NOTE:  Both the newer 
gcc 6.x and Clang report a few warnings but they can be ignored.   FURTHER 
NOTE:  Mynewt developers mostly use gcc 5.x for sim builds; so it may take a 
little while to fix issues reported by the newer
  compiler. One option is to  disable warnings . To do that, remove the  
-Werror  flag as an option for the compiler in the   mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file as shown below.   
compiler.flags.base:       -m32 -Wall -ggdb  You may alternatively choose to  
specify the precise warnings to ignore  depending on the error thrown by the 
compiler. For example, if you see a  [-Werror=misleading-indentation]  error 
while building the sim image, add  -Wno-misleading-indentation]  as a compiler 
flag in the same line from the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file.  
compiler.flags.base:       -m32 -Wall -Werror -ggdb -Wno-misleading-indentation 
 A third option is to simply  downgrade to gcc 5.x .", 
             "title": "Install gcc/libc"
         }, 
         {

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/develop/os/get_started/native_tools/index.html
----------------------------------------------------------------------
diff --git a/develop/os/get_started/native_tools/index.html 
b/develop/os/get_started/native_tools/index.html
index 7c7ed36..5dd19b0 100644
--- a/develop/os/get_started/native_tools/index.html
+++ b/develop/os/get_started/native_tools/index.html
@@ -383,8 +383,7 @@
 
 
 <p><br></p>
-<p>Check the gcc version you have installed (either using brew or previously 
installed). If the gcc version is 6.1 rather the expected 5.x by the default 
.yml configuration file, you have to modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc v-5</code> defined there.</p>
-<p>Replace the lines shown highlighted below:</p>
+<p>Check the gcc version you have installed (either using brew or previously 
installed). The brew-installed version can be checked using <code>brew list 
gcc</code>. The default compiler.yml configuration file in Mynewt expects 
version 5.x for Mac users, so if the installed version is 6.x and you wish to 
continue with this newer version, modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc-5</code> defined there to 
<code>gcc-6</code>. In other words, replace the lines shown highlighted 
below:</p>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%"># OS X.
 <span style="background-color: #ffffcc">compiler.path.cc.DARWIN.OVERWRITE: 
&quot;/usr/local/bin/gcc-5&quot;
 </span><span style="background-color: 
#ffffcc">compiler.path.as.DARWIN.OVERWRITE: &quot;/usr/local/bin/gcc-5 -x 
assembler-with-cpp&quot;
@@ -411,7 +410,22 @@ compiler.path.objcopy.DARWIN.OVERWRITE: 
&quot;gobjcopy&quot;
 </pre></div>
 
 
-<p><strong>Note:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>NOTE:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>FURTHER NOTE:</strong> Mynewt developers mostly use gcc 5.x for sim 
builds; so it may take a little while to fix issues reported by the newer 
compiler. One option is to <strong>disable warnings</strong>. To do that, 
remove the <code>-Werror</code> flag as an option for the compiler in the  
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file as shown below. </p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -ggdb
+</span></pre></div>
+
+
+<p>You may alternatively choose to <strong>specify the precise warnings to 
ignore</strong> depending on the error thrown by the compiler. For example, if 
you see a <code>[-Werror=misleading-indentation]</code> error while building 
the sim image, add <code>-Wno-misleading-indentation]</code> as a compiler flag 
in the same line from the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file.</p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation
+</span></pre></div>
+
+
+<p>A third option is to simply <strong>downgrade to gcc 5.x</strong>.</p>
 <p><br></p>
 <h3 id="install-gdb">Install gdb</h3>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">$ brew install gdb

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/develop/sitemap.xml
----------------------------------------------------------------------
diff --git a/develop/sitemap.xml b/develop/sitemap.xml
index 88d40e9..724ba91 100644
--- a/develop/sitemap.xml
+++ b/develop/sitemap.xml
@@ -4,7 +4,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -12,7 +12,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/quick-start/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -20,7 +20,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/about/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -28,7 +28,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/download/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -36,7 +36,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/community/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -44,7 +44,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/events/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -53,7 +53,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/introduction/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -65,7 +65,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/get_started/vocabulary/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -105,13 +105,13 @@
         
     <url>
      <loc>http://mynewt.apache.org/faq/how_to_edit_docs/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
     <url>
      <loc>http://mynewt.apache.org/faq/answers/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/latest/mkdocs/search_index.json
----------------------------------------------------------------------
diff --git a/latest/mkdocs/search_index.json b/latest/mkdocs/search_index.json
index 6c78ba0..54419c2 100644
--- a/latest/mkdocs/search_index.json
+++ b/latest/mkdocs/search_index.json
@@ -182,7 +182,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/", 
-            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). If the 
gcc version is 6.1 rather the expected 5.x by the default .yml configuration 
file, you have to modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc v-5\n defined there.\n\n\nReplace the lines 
shown highlighted below:\n\n\n# OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nwith the 
following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 
 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you wish to use Clang, you 
can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nNote:\n Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.\n\n\n\n\nInstall gdb\n\n\n$ brew install 
gdb\n...\n...\n==\n Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, you may need 
to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for gdb signing. 
Alternately you can skip this step and\ncontinue witho
 ut the ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up 
toolchain for Linux\n\n\nThe below procedure can be used to set up a 
Debian-based Linux system (e.g.,\nUbuntu).  If you are running a different 
Linux distribution, you will need to\nsubstitute invocations of \napt-get\n in 
the below steps with the package manager\nthat your distro 
uses.\n\n\n\n\nInstall gcc/libc that will produce 32-bit executables:\n\n\n$ 
sudo apt-get install gcc-multilib libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ 
sudo apt-get install gdb\n\nReading package lists... Done\nBuilding dependency 
tree       \nReading state information... Done\nSuggested packages:\n  gdb-doc 
gdbserver\nThe following NEW packages will be installed:\n  
gdb\n...\nProcessing triggers for man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb 
(7.7.1-0ubuntu5~14.04.2) ...\n\n\n\n\n\n\n\nAt this point you have installed 
all the necessary software to build and test code on a simluator running on 
your Mac or Linux. Proceed to t
 he \nCreate Your First Project\n section.", 
+            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). The 
brew-installed version can be checked using \nbrew list gcc\n. The default 
compiler.yml configuration file in Mynewt expects version 5.x for Mac users, so 
if the installed version is 6.x and you wish to continue with this newer 
version, modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc-5\n defined there to \ngcc-6\n. In other 
words, replace the lines shown highlighted below:\n\n\n# OS 
X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: \ngobjc
 opy\n\n\n\n\n\n\nwith the following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you 
wish to use Clang, you can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\n\n\nNOTE:\n Both the newer gcc 6.x and Clang report a 
few warnings but they can be ignored.\n\n\n\n\nFURTHER NOTE:\n Mynewt 
developers mostly use gcc 5.x for sim builds; so it may take a little while to 
fix issues reported by the newer compiler. One option
  is to \ndisable warnings\n. To do that, remove the \n-Werror\n flag as an 
option for the compiler in the  
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file as shown below. \n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall 
-ggdb\n\n\n\n\n\nYou may alternatively choose to \nspecify the precise warnings 
to ignore\n depending on the error thrown by the compiler. For example, if you 
see a \n[-Werror=misleading-indentation]\n error while building the sim image, 
add \n-Wno-misleading-indentation]\n as a compiler flag in the same line from 
the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file.\n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation\n\n\n\n\n\nA third option is to simply \ndowngrade 
to gcc 5.x\n.\n\n\n\n\nInstall gdb\n\n\n$ brew install gdb\n...\n...\n==\n 
Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, y
 ou may need to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for 
gdb signing. Alternately you can skip this step and\ncontinue without the 
ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up toolchain 
for Linux\n\n\nThe below procedure can be used to set up a Debian-based Linux 
system (e.g.,\nUbuntu).  If you are running a different Linux distribution, you 
will need to\nsubstitute invocations of \napt-get\n in the below steps with the 
package manager\nthat your distro uses.\n\n\n\n\nInstall gcc/libc that will 
produce 32-bit executables:\n\n\n$ sudo apt-get install gcc-multilib 
libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ sudo apt-get install 
gdb\n\nReading package lists... Done\nBuilding dependency tree       \nReading 
state information... Done\nSuggested packages:\n  gdb-doc gdbserver\nThe 
following NEW packages will be installed:\n  gdb\n...\nProcessing triggers for 
man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb (7.7.1-0ubuntu5~14.04.2) 
...\n\n\n\n\n\n
 \n\nAt this point you have installed all the necessary software to build and 
test code on a simluator running on your Mac or Linux. Proceed to the \nCreate 
Your First Project\n section.", 
             "title": "toc"
         }, 
         {
@@ -202,7 +202,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/#install-gcclibc", 
-            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). If the gcc version is 
6.1 rather the expected 5.x by the default .yml configuration file, you have to 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc v-5  defined there.  Replace the lines shown highlighted below:  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:
   /usr/local/bin/gcc-6 \ncompiler.path.as.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d   In case you wish to use 
Clang, you can change your  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  to use Clang. Delete the 
gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   Note:  Both the newer gcc 
6.x and Clang report a few warnings but they can be ignored.", 
+            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). The brew-installed 
version can be checked using  brew list gcc . The default compiler.yml 
configuration file in Mynewt expects version 5.x for Mac users, so if the 
installed version is 6.x and you wish to continue with this newer version, 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc-5  defined there to  gcc-6 . In other words, replace the lines shown 
highlighted below:  # OS X. compiler.path.cc.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-5  compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 
-x assembler-with-cpp  compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump
  \ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 
\ncompiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 -x 
assembler-with-cpp\u201d   In case you wish to use Clang, you can change your  
mynewt-src-directory /repos/apache-mynewt-core/compiler/sim/compiler.yml  to 
use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy    NOTE:  Both the newer 
gcc 6.x and Clang report a few warnings but they can be ignored.   FURTHER 
NOTE:  Mynewt developers mostly use gcc 5.x for sim builds; so it may take a 
little while to fix issues reported by the newer
  compiler. One option is to  disable warnings . To do that, remove the  
-Werror  flag as an option for the compiler in the   mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file as shown below.   
compiler.flags.base:       -m32 -Wall -ggdb  You may alternatively choose to  
specify the precise warnings to ignore  depending on the error thrown by the 
compiler. For example, if you see a  [-Werror=misleading-indentation]  error 
while building the sim image, add  -Wno-misleading-indentation]  as a compiler 
flag in the same line from the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file.  
compiler.flags.base:       -m32 -Wall -Werror -ggdb -Wno-misleading-indentation 
 A third option is to simply  downgrade to gcc 5.x .", 
             "title": "Install gcc/libc"
         }, 
         {

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/latest/os/get_started/native_tools/index.html
----------------------------------------------------------------------
diff --git a/latest/os/get_started/native_tools/index.html 
b/latest/os/get_started/native_tools/index.html
index 92a8f02..3922c3c 100644
--- a/latest/os/get_started/native_tools/index.html
+++ b/latest/os/get_started/native_tools/index.html
@@ -383,8 +383,7 @@
 
 
 <p><br></p>
-<p>Check the gcc version you have installed (either using brew or previously 
installed). If the gcc version is 6.1 rather the expected 5.x by the default 
.yml configuration file, you have to modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc v-5</code> defined there.</p>
-<p>Replace the lines shown highlighted below:</p>
+<p>Check the gcc version you have installed (either using brew or previously 
installed). The brew-installed version can be checked using <code>brew list 
gcc</code>. The default compiler.yml configuration file in Mynewt expects 
version 5.x for Mac users, so if the installed version is 6.x and you wish to 
continue with this newer version, modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc-5</code> defined there to 
<code>gcc-6</code>. In other words, replace the lines shown highlighted 
below:</p>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%"># OS X.
 <span style="background-color: #ffffcc">compiler.path.cc.DARWIN.OVERWRITE: 
&quot;/usr/local/bin/gcc-5&quot;
 </span><span style="background-color: 
#ffffcc">compiler.path.as.DARWIN.OVERWRITE: &quot;/usr/local/bin/gcc-5 -x 
assembler-with-cpp&quot;
@@ -411,7 +410,22 @@ compiler.path.objcopy.DARWIN.OVERWRITE: 
&quot;gobjcopy&quot;
 </pre></div>
 
 
-<p><strong>Note:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>NOTE:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>FURTHER NOTE:</strong> Mynewt developers mostly use gcc 5.x for sim 
builds; so it may take a little while to fix issues reported by the newer 
compiler. One option is to <strong>disable warnings</strong>. To do that, 
remove the <code>-Werror</code> flag as an option for the compiler in the  
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file as shown below. </p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -ggdb
+</span></pre></div>
+
+
+<p>You may alternatively choose to <strong>specify the precise warnings to 
ignore</strong> depending on the error thrown by the compiler. For example, if 
you see a <code>[-Werror=misleading-indentation]</code> error while building 
the sim image, add <code>-Wno-misleading-indentation]</code> as a compiler flag 
in the same line from the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file.</p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation
+</span></pre></div>
+
+
+<p>A third option is to simply <strong>downgrade to gcc 5.x</strong>.</p>
 <p><br></p>
 <h3 id="install-gdb">Install gdb</h3>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">$ brew install gdb

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/latest/sitemap.xml
----------------------------------------------------------------------
diff --git a/latest/sitemap.xml b/latest/sitemap.xml
index 88d40e9..724ba91 100644
--- a/latest/sitemap.xml
+++ b/latest/sitemap.xml
@@ -4,7 +4,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -12,7 +12,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/quick-start/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -20,7 +20,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/about/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -28,7 +28,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/download/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -36,7 +36,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/community/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -44,7 +44,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/events/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -53,7 +53,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/introduction/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -65,7 +65,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/get_started/vocabulary/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -105,13 +105,13 @@
         
     <url>
      <loc>http://mynewt.apache.org/faq/how_to_edit_docs/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
     <url>
      <loc>http://mynewt.apache.org/faq/answers/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/mkdocs/search_index.json
----------------------------------------------------------------------
diff --git a/mkdocs/search_index.json b/mkdocs/search_index.json
index 6c78ba0..54419c2 100644
--- a/mkdocs/search_index.json
+++ b/mkdocs/search_index.json
@@ -182,7 +182,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/", 
-            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). If the 
gcc version is 6.1 rather the expected 5.x by the default .yml configuration 
file, you have to modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc v-5\n defined there.\n\n\nReplace the lines 
shown highlighted below:\n\n\n# OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nwith the 
following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 
 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you wish to use Clang, you 
can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nNote:\n Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.\n\n\n\n\nInstall gdb\n\n\n$ brew install 
gdb\n...\n...\n==\n Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, you may need 
to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for gdb signing. 
Alternately you can skip this step and\ncontinue witho
 ut the ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up 
toolchain for Linux\n\n\nThe below procedure can be used to set up a 
Debian-based Linux system (e.g.,\nUbuntu).  If you are running a different 
Linux distribution, you will need to\nsubstitute invocations of \napt-get\n in 
the below steps with the package manager\nthat your distro 
uses.\n\n\n\n\nInstall gcc/libc that will produce 32-bit executables:\n\n\n$ 
sudo apt-get install gcc-multilib libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ 
sudo apt-get install gdb\n\nReading package lists... Done\nBuilding dependency 
tree       \nReading state information... Done\nSuggested packages:\n  gdb-doc 
gdbserver\nThe following NEW packages will be installed:\n  
gdb\n...\nProcessing triggers for man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb 
(7.7.1-0ubuntu5~14.04.2) ...\n\n\n\n\n\n\n\nAt this point you have installed 
all the necessary software to build and test code on a simluator running on 
your Mac or Linux. Proceed to t
 he \nCreate Your First Project\n section.", 
+            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). The 
brew-installed version can be checked using \nbrew list gcc\n. The default 
compiler.yml configuration file in Mynewt expects version 5.x for Mac users, so 
if the installed version is 6.x and you wish to continue with this newer 
version, modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc-5\n defined there to \ngcc-6\n. In other 
words, replace the lines shown highlighted below:\n\n\n# OS 
X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: \ngobjc
 opy\n\n\n\n\n\n\nwith the following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you 
wish to use Clang, you can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\n\n\nNOTE:\n Both the newer gcc 6.x and Clang report a 
few warnings but they can be ignored.\n\n\n\n\nFURTHER NOTE:\n Mynewt 
developers mostly use gcc 5.x for sim builds; so it may take a little while to 
fix issues reported by the newer compiler. One option
  is to \ndisable warnings\n. To do that, remove the \n-Werror\n flag as an 
option for the compiler in the  
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file as shown below. \n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall 
-ggdb\n\n\n\n\n\nYou may alternatively choose to \nspecify the precise warnings 
to ignore\n depending on the error thrown by the compiler. For example, if you 
see a \n[-Werror=misleading-indentation]\n error while building the sim image, 
add \n-Wno-misleading-indentation]\n as a compiler flag in the same line from 
the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file.\n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation\n\n\n\n\n\nA third option is to simply \ndowngrade 
to gcc 5.x\n.\n\n\n\n\nInstall gdb\n\n\n$ brew install gdb\n...\n...\n==\n 
Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, y
 ou may need to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for 
gdb signing. Alternately you can skip this step and\ncontinue without the 
ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up toolchain 
for Linux\n\n\nThe below procedure can be used to set up a Debian-based Linux 
system (e.g.,\nUbuntu).  If you are running a different Linux distribution, you 
will need to\nsubstitute invocations of \napt-get\n in the below steps with the 
package manager\nthat your distro uses.\n\n\n\n\nInstall gcc/libc that will 
produce 32-bit executables:\n\n\n$ sudo apt-get install gcc-multilib 
libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ sudo apt-get install 
gdb\n\nReading package lists... Done\nBuilding dependency tree       \nReading 
state information... Done\nSuggested packages:\n  gdb-doc gdbserver\nThe 
following NEW packages will be installed:\n  gdb\n...\nProcessing triggers for 
man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb (7.7.1-0ubuntu5~14.04.2) 
...\n\n\n\n\n\n
 \n\nAt this point you have installed all the necessary software to build and 
test code on a simluator running on your Mac or Linux. Proceed to the \nCreate 
Your First Project\n section.", 
             "title": "toc"
         }, 
         {
@@ -202,7 +202,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/#install-gcclibc", 
-            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). If the gcc version is 
6.1 rather the expected 5.x by the default .yml configuration file, you have to 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc v-5  defined there.  Replace the lines shown highlighted below:  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:
   /usr/local/bin/gcc-6 \ncompiler.path.as.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d   In case you wish to use 
Clang, you can change your  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  to use Clang. Delete the 
gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   Note:  Both the newer gcc 
6.x and Clang report a few warnings but they can be ignored.", 
+            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). The brew-installed 
version can be checked using  brew list gcc . The default compiler.yml 
configuration file in Mynewt expects version 5.x for Mac users, so if the 
installed version is 6.x and you wish to continue with this newer version, 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc-5  defined there to  gcc-6 . In other words, replace the lines shown 
highlighted below:  # OS X. compiler.path.cc.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-5  compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 
-x assembler-with-cpp  compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump
  \ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 
\ncompiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 -x 
assembler-with-cpp\u201d   In case you wish to use Clang, you can change your  
mynewt-src-directory /repos/apache-mynewt-core/compiler/sim/compiler.yml  to 
use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy    NOTE:  Both the newer 
gcc 6.x and Clang report a few warnings but they can be ignored.   FURTHER 
NOTE:  Mynewt developers mostly use gcc 5.x for sim builds; so it may take a 
little while to fix issues reported by the newer
  compiler. One option is to  disable warnings . To do that, remove the  
-Werror  flag as an option for the compiler in the   mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file as shown below.   
compiler.flags.base:       -m32 -Wall -ggdb  You may alternatively choose to  
specify the precise warnings to ignore  depending on the error thrown by the 
compiler. For example, if you see a  [-Werror=misleading-indentation]  error 
while building the sim image, add  -Wno-misleading-indentation]  as a compiler 
flag in the same line from the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file.  
compiler.flags.base:       -m32 -Wall -Werror -ggdb -Wno-misleading-indentation 
 A third option is to simply  downgrade to gcc 5.x .", 
             "title": "Install gcc/libc"
         }, 
         {

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/os/get_started/native_tools/index.html
----------------------------------------------------------------------
diff --git a/os/get_started/native_tools/index.html 
b/os/get_started/native_tools/index.html
index 2146dfe..200e577 100644
--- a/os/get_started/native_tools/index.html
+++ b/os/get_started/native_tools/index.html
@@ -383,8 +383,7 @@
 
 
 <p><br></p>
-<p>Check the gcc version you have installed (either using brew or previously 
installed). If the gcc version is 6.1 rather the expected 5.x by the default 
.yml configuration file, you have to modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc v-5</code> defined there.</p>
-<p>Replace the lines shown highlighted below:</p>
+<p>Check the gcc version you have installed (either using brew or previously 
installed). The brew-installed version can be checked using <code>brew list 
gcc</code>. The default compiler.yml configuration file in Mynewt expects 
version 5.x for Mac users, so if the installed version is 6.x and you wish to 
continue with this newer version, modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc-5</code> defined there to 
<code>gcc-6</code>. In other words, replace the lines shown highlighted 
below:</p>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%"># OS X.
 <span style="background-color: #ffffcc">compiler.path.cc.DARWIN.OVERWRITE: 
&quot;/usr/local/bin/gcc-5&quot;
 </span><span style="background-color: 
#ffffcc">compiler.path.as.DARWIN.OVERWRITE: &quot;/usr/local/bin/gcc-5 -x 
assembler-with-cpp&quot;
@@ -411,7 +410,22 @@ compiler.path.objcopy.DARWIN.OVERWRITE: 
&quot;gobjcopy&quot;
 </pre></div>
 
 
-<p><strong>Note:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>NOTE:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>FURTHER NOTE:</strong> Mynewt developers mostly use gcc 5.x for sim 
builds; so it may take a little while to fix issues reported by the newer 
compiler. One option is to <strong>disable warnings</strong>. To do that, 
remove the <code>-Werror</code> flag as an option for the compiler in the  
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file as shown below. </p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -ggdb
+</span></pre></div>
+
+
+<p>You may alternatively choose to <strong>specify the precise warnings to 
ignore</strong> depending on the error thrown by the compiler. For example, if 
you see a <code>[-Werror=misleading-indentation]</code> error while building 
the sim image, add <code>-Wno-misleading-indentation]</code> as a compiler flag 
in the same line from the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file.</p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation
+</span></pre></div>
+
+
+<p>A third option is to simply <strong>downgrade to gcc 5.x</strong>.</p>
 <p><br></p>
 <h3 id="install-gdb">Install gdb</h3>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">$ brew install gdb

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/sitemap.xml
----------------------------------------------------------------------
diff --git a/sitemap.xml b/sitemap.xml
index 88d40e9..724ba91 100644
--- a/sitemap.xml
+++ b/sitemap.xml
@@ -4,7 +4,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -12,7 +12,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/quick-start/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -20,7 +20,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/about/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -28,7 +28,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/download/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -36,7 +36,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/community/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -44,7 +44,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/events/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -53,7 +53,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/introduction/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -65,7 +65,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/get_started/vocabulary/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -105,13 +105,13 @@
         
     <url>
      <loc>http://mynewt.apache.org/faq/how_to_edit_docs/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
     <url>
      <loc>http://mynewt.apache.org/faq/answers/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/v0_9_0/mkdocs/search_index.json
----------------------------------------------------------------------
diff --git a/v0_9_0/mkdocs/search_index.json b/v0_9_0/mkdocs/search_index.json
index 6c78ba0..54419c2 100644
--- a/v0_9_0/mkdocs/search_index.json
+++ b/v0_9_0/mkdocs/search_index.json
@@ -182,7 +182,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/", 
-            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). If the 
gcc version is 6.1 rather the expected 5.x by the default .yml configuration 
file, you have to modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc v-5\n defined there.\n\n\nReplace the lines 
shown highlighted below:\n\n\n# OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nwith the 
following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 
 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you wish to use Clang, you 
can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\nNote:\n Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.\n\n\n\n\nInstall gdb\n\n\n$ brew install 
gdb\n...\n...\n==\n Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, you may need 
to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for gdb signing. 
Alternately you can skip this step and\ncontinue witho
 ut the ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up 
toolchain for Linux\n\n\nThe below procedure can be used to set up a 
Debian-based Linux system (e.g.,\nUbuntu).  If you are running a different 
Linux distribution, you will need to\nsubstitute invocations of \napt-get\n in 
the below steps with the package manager\nthat your distro 
uses.\n\n\n\n\nInstall gcc/libc that will produce 32-bit executables:\n\n\n$ 
sudo apt-get install gcc-multilib libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ 
sudo apt-get install gdb\n\nReading package lists... Done\nBuilding dependency 
tree       \nReading state information... Done\nSuggested packages:\n  gdb-doc 
gdbserver\nThe following NEW packages will be installed:\n  
gdb\n...\nProcessing triggers for man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb 
(7.7.1-0ubuntu5~14.04.2) ...\n\n\n\n\n\n\n\nAt this point you have installed 
all the necessary software to build and test code on a simluator running on 
your Mac or Linux. Proceed to t
 he \nCreate Your First Project\n section.", 
+            "text": "Installing Native Mynewt Tools\n\n\nThis page shows how 
to install tools for native Mynewt targets (simulated targets on your 
laptop/computer) without using a Docker container. In other words, it allows 
you to run Mynewt OS as a native application on your Mac or Linux machine to 
simulate a target and use the Newt tool running natively on your machine to 
manage the simulated target. It also allows you to run the test suites for all 
packages not requiring HW support. You may choose to do this instead of using 
the build toolchain and Newt tool available in a Docker container.\n\n\nThis 
page provides guidance for MAC and Linux. See the relevant sections 
below.\n\n\n\n\nSet up toolchain for Mac\n\n\nInstall Brew\n\n\nIf you have not 
already installed Homebrew from the \n\nnewt\n tutorials pages\n, install it. 
\n\n\n\n\nInstall gcc/libc\n\n\nOS X ships with a C compiler called Clang.  To 
build applications for the Mynewt simulator with, a different compiler is used 
as
  default: gcc.\n\n\n$ brew install gcc\n...\n...\n==\n Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M\n\n\n\n\n\n\n\nCheck the gcc 
version you have installed (either using brew or previously installed). The 
brew-installed version can be checked using \nbrew list gcc\n. The default 
compiler.yml configuration file in Mynewt expects version 5.x for Mac users, so 
if the installed version is 6.x and you wish to continue with this newer 
version, modify the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file to change the default \ngcc-5\n defined there to \ngcc-6\n. In other 
words, replace the lines shown highlighted below:\n\n\n# OS 
X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: \ngobjc
 opy\n\n\n\n\n\n\nwith the following:\n\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d\n\n\n\n\n\n\n\nIn case you 
wish to use Clang, you can change your 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
to use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.\n\n\n# 
OS X.\n\ncompiler.path.cc.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5\n\n\ncompiler.path.as.DARWIN.OVERWRITE: 
\n/usr/local/bin/gcc-5 -x 
assembler-with-cpp\n\n\ncompiler.path.objdump.DARWIN.OVERWRITE: 
\ngobjdump\n\ncompiler.path.objsize.DARWIN.OVERWRITE: 
\nobjsize\n\ncompiler.path.objcopy.DARWIN.OVERWRITE: 
\ngobjcopy\n\n\n\n\n\n\n\n\nNOTE:\n Both the newer gcc 6.x and Clang report a 
few warnings but they can be ignored.\n\n\n\n\nFURTHER NOTE:\n Mynewt 
developers mostly use gcc 5.x for sim builds; so it may take a little while to 
fix issues reported by the newer compiler. One option
  is to \ndisable warnings\n. To do that, remove the \n-Werror\n flag as an 
option for the compiler in the  
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file as shown below. \n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall 
-ggdb\n\n\n\n\n\nYou may alternatively choose to \nspecify the precise warnings 
to ignore\n depending on the error thrown by the compiler. For example, if you 
see a \n[-Werror=misleading-indentation]\n error while building the sim image, 
add \n-Wno-misleading-indentation]\n as a compiler flag in the same line from 
the 
\nmynewt-src-directory\n/repos/apache-mynewt-core/compiler/sim/compiler.yml\n 
file.\n\n\ncompiler.flags.base: \n\n\n    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation\n\n\n\n\n\nA third option is to simply \ndowngrade 
to gcc 5.x\n.\n\n\n\n\nInstall gdb\n\n\n$ brew install gdb\n...\n...\n==\n 
Summary\n\ud83c\udf7a  /usr/local/Cellar/gdb/7.10.1: XXX 
files,YYM\n\n\n\n\n\n\n\nNOTE:\n When running a program with gdb, y
 ou may need to sign your gdb\nexecutable.  \nThis page\n\nshows a recipe for 
gdb signing. Alternately you can skip this step and\ncontinue without the 
ability to debug your mynewt application on your PC.*\n\n\n\n\nSet up toolchain 
for Linux\n\n\nThe below procedure can be used to set up a Debian-based Linux 
system (e.g.,\nUbuntu).  If you are running a different Linux distribution, you 
will need to\nsubstitute invocations of \napt-get\n in the below steps with the 
package manager\nthat your distro uses.\n\n\n\n\nInstall gcc/libc that will 
produce 32-bit executables:\n\n\n$ sudo apt-get install gcc-multilib 
libc6-i386\n\n\n\n\n\n\n\nInstall gdb\n\n\n$ sudo apt-get install 
gdb\n\nReading package lists... Done\nBuilding dependency tree       \nReading 
state information... Done\nSuggested packages:\n  gdb-doc gdbserver\nThe 
following NEW packages will be installed:\n  gdb\n...\nProcessing triggers for 
man-db (2.6.7.1-1ubuntu1) ...\nSetting up gdb (7.7.1-0ubuntu5~14.04.2) 
...\n\n\n\n\n\n
 \n\nAt this point you have installed all the necessary software to build and 
test code on a simluator running on your Mac or Linux. Proceed to the \nCreate 
Your First Project\n section.", 
             "title": "toc"
         }, 
         {
@@ -202,7 +202,7 @@
         }, 
         {
             "location": "/os/get_started/native_tools/#install-gcclibc", 
-            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). If the gcc version is 
6.1 rather the expected 5.x by the default .yml configuration file, you have to 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc v-5  defined there.  Replace the lines shown highlighted below:  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:
   /usr/local/bin/gcc-6 \ncompiler.path.as.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-6 -x assembler-with-cpp\u201d   In case you wish to use 
Clang, you can change your  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  to use Clang. Delete the 
gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   Note:  Both the newer gcc 
6.x and Clang report a few warnings but they can be ignored.", 
+            "text": "OS X ships with a C compiler called Clang.  To build 
applications for the Mynewt simulator with, a different compiler is used as 
default: gcc.  $ brew install gcc\n...\n...\n==  Summary\n\ud83c\udf7a  
/usr/local/Cellar/gcc/5.2.0: 1353 files, 248M   Check the gcc version you have 
installed (either using brew or previously installed). The brew-installed 
version can be checked using  brew list gcc . The default compiler.yml 
configuration file in Mynewt expects version 5.x for Mac users, so if the 
installed version is 6.x and you wish to continue with this newer version, 
modify the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file to change the default 
 gcc-5  defined there to  gcc-6 . In other words, replace the lines shown 
highlighted below:  # OS X. compiler.path.cc.DARWIN.OVERWRITE:  
/usr/local/bin/gcc-5  compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 
-x assembler-with-cpp  compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump
  \ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy   with the following:  
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 
\ncompiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-6 -x 
assembler-with-cpp\u201d   In case you wish to use Clang, you can change your  
mynewt-src-directory /repos/apache-mynewt-core/compiler/sim/compiler.yml  to 
use Clang. Delete the gcc-5 DARWIN.OVERWRITE lines highlighted below.  # OS X. 
compiler.path.cc.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5  
compiler.path.as.DARWIN.OVERWRITE:  /usr/local/bin/gcc-5 -x assembler-with-cpp  
compiler.path.objdump.DARWIN.OVERWRITE:  gobjdump 
\ncompiler.path.objsize.DARWIN.OVERWRITE:  objsize 
\ncompiler.path.objcopy.DARWIN.OVERWRITE:  gobjcopy    NOTE:  Both the newer 
gcc 6.x and Clang report a few warnings but they can be ignored.   FURTHER 
NOTE:  Mynewt developers mostly use gcc 5.x for sim builds; so it may take a 
little while to fix issues reported by the newer
  compiler. One option is to  disable warnings . To do that, remove the  
-Werror  flag as an option for the compiler in the   mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file as shown below.   
compiler.flags.base:       -m32 -Wall -ggdb  You may alternatively choose to  
specify the precise warnings to ignore  depending on the error thrown by the 
compiler. For example, if you see a  [-Werror=misleading-indentation]  error 
while building the sim image, add  -Wno-misleading-indentation]  as a compiler 
flag in the same line from the  mynewt-src-directory 
/repos/apache-mynewt-core/compiler/sim/compiler.yml  file.  
compiler.flags.base:       -m32 -Wall -Werror -ggdb -Wno-misleading-indentation 
 A third option is to simply  downgrade to gcc 5.x .", 
             "title": "Install gcc/libc"
         }, 
         {

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/v0_9_0/os/get_started/native_tools/index.html
----------------------------------------------------------------------
diff --git a/v0_9_0/os/get_started/native_tools/index.html 
b/v0_9_0/os/get_started/native_tools/index.html
index 2146dfe..200e577 100644
--- a/v0_9_0/os/get_started/native_tools/index.html
+++ b/v0_9_0/os/get_started/native_tools/index.html
@@ -383,8 +383,7 @@
 
 
 <p><br></p>
-<p>Check the gcc version you have installed (either using brew or previously 
installed). If the gcc version is 6.1 rather the expected 5.x by the default 
.yml configuration file, you have to modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc v-5</code> defined there.</p>
-<p>Replace the lines shown highlighted below:</p>
+<p>Check the gcc version you have installed (either using brew or previously 
installed). The brew-installed version can be checked using <code>brew list 
gcc</code>. The default compiler.yml configuration file in Mynewt expects 
version 5.x for Mac users, so if the installed version is 6.x and you wish to 
continue with this newer version, modify the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file to change the default <code>gcc-5</code> defined there to 
<code>gcc-6</code>. In other words, replace the lines shown highlighted 
below:</p>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%"># OS X.
 <span style="background-color: #ffffcc">compiler.path.cc.DARWIN.OVERWRITE: 
&quot;/usr/local/bin/gcc-5&quot;
 </span><span style="background-color: 
#ffffcc">compiler.path.as.DARWIN.OVERWRITE: &quot;/usr/local/bin/gcc-5 -x 
assembler-with-cpp&quot;
@@ -411,7 +410,22 @@ compiler.path.objcopy.DARWIN.OVERWRITE: 
&quot;gobjcopy&quot;
 </pre></div>
 
 
-<p><strong>Note:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>NOTE:</strong> Both the newer gcc 6.x and Clang report a few 
warnings but they can be ignored.</p>
+<p><br></p>
+<p><strong>FURTHER NOTE:</strong> Mynewt developers mostly use gcc 5.x for sim 
builds; so it may take a little while to fix issues reported by the newer 
compiler. One option is to <strong>disable warnings</strong>. To do that, 
remove the <code>-Werror</code> flag as an option for the compiler in the  
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file as shown below. </p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -ggdb
+</span></pre></div>
+
+
+<p>You may alternatively choose to <strong>specify the precise warnings to 
ignore</strong> depending on the error thrown by the compiler. For example, if 
you see a <code>[-Werror=misleading-indentation]</code> error while building 
the sim image, add <code>-Wno-misleading-indentation]</code> as a compiler flag 
in the same line from the 
<code>&lt;mynewt-src-directory&gt;/repos/apache-mynewt-core/compiler/sim/compiler.yml</code>
 file.</p>
+<div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">compiler.flags.base: &gt;
+<span style="background-color: #ffffcc">    -m32 -Wall -Werror -ggdb 
-Wno-misleading-indentation
+</span></pre></div>
+
+
+<p>A third option is to simply <strong>downgrade to gcc 5.x</strong>.</p>
 <p><br></p>
 <h3 id="install-gdb">Install gdb</h3>
 <div class="codehilite" style="background: #ffffff"><pre style="line-height: 
125%">$ brew install gdb

http://git-wip-us.apache.org/repos/asf/incubator-mynewt-site/blob/c628be34/v0_9_0/sitemap.xml
----------------------------------------------------------------------
diff --git a/v0_9_0/sitemap.xml b/v0_9_0/sitemap.xml
index 88d40e9..724ba91 100644
--- a/v0_9_0/sitemap.xml
+++ b/v0_9_0/sitemap.xml
@@ -4,7 +4,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -12,7 +12,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/quick-start/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -20,7 +20,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/about/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -28,7 +28,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/download/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -36,7 +36,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/community/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -44,7 +44,7 @@
     
     <url>
      <loc>http://mynewt.apache.org/events/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
     
@@ -53,7 +53,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/introduction/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -65,7 +65,7 @@
         
     <url>
      <loc>http://mynewt.apache.org/os/get_started/vocabulary/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
@@ -105,13 +105,13 @@
         
     <url>
      <loc>http://mynewt.apache.org/faq/how_to_edit_docs/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         
     <url>
      <loc>http://mynewt.apache.org/faq/answers/</loc>
-     <lastmod>2016-09-12</lastmod>
+     <lastmod>2016-09-16</lastmod>
      <changefreq>daily</changefreq>
     </url>
         

Reply via email to